using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TaxiTelphoni
{
    public partial class frmDaramadRanande : Form
    {
        public frmDaramadRanande()
        {
            InitializeComponent();
        }


        private void UDF_Cmb_ShowRanandegan()
        {
            LSC_TaxiTelfoniDataContext db = new LSC_TaxiTelfoniDataContext();
            var Query = from Row in db.RanandehGans
                        select new
                        {
                            Row.RowID,
                            Row.NamSmane,
                        };

            Cmb_RanandeName.ValueMember = "RowID";
            Cmb_RanandeName.DisplayMember = "NamSmane";
            Cmb_RanandeName.DataSource = Query;


        }

        private void frmDaramadRanande_Load(object sender, EventArgs e)
        {

            UDF_Cmb_ShowRanandegan();

        }

        private void Btn_Nemayesh_Click(object sender, EventArgs e)
        {
            LSC_TaxiTelfoniDataContext db = new LSC_TaxiTelfoniDataContext();
            var Query = from Row in db.xtblDaramads
                        where Row.RowID == int.Parse(Cmb_RanandeName.SelectedValue.ToString()) && Row.TasviehBit == true
                        select new
                        {
                            Row.NamSmane,
                            Row.ServDate1,
                            Row.Daramad
                         
                        };

            reportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout);
            reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.Percent;
            reportViewer1.ZoomPercent = 25;

            xtblDaramadBindingSource.DataSource = Query;
            reportViewer1.RefreshReport();
        }
    }
}
